org.deidentifier.arx.framework.check.distribution

## Class DistributionIterator<T>

- java.lang.Object
- - org.deidentifier.arx.framework.check.distribution.DistributionIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>

    public abstract class DistributionIterator<T>
    extends java.lang.Object
    implements java.util.Iterator<T>

An iterator over values of a distribution

Author:
  Florian Kohlmayer, Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `java.util.Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<T>`